MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
sc::SymmSCMatrixSCExtrapData Class Reference
Inheritance diagram for sc::SymmSCMatrixSCExtrapData:

List of all members.

## Public Member Functions

| SymmSCMatrixSCExtrapData (StateIn &)
| SymmSCMatrixSCExtrapData (const RefSymmSCMatrix &)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
SCExtrapData * | copy ()
| Return a copy of this.
void | zero ()
| Set this to zero.
void | accumulate_scaled (double, const Ref< SCExtrapData > &)
| The passed SCExtrapData is accumulated into this after applying the scaling factor.

## Member Function Documentation

void sc::SymmSCMatrixSCExtrapData::accumulate_scaled | ( | double | scale,
|  | const Ref< SCExtrapData > & |
| ) |  | `[virtual]`

The passed SCExtrapData is accumulated into this after applying the scaling factor.

Implements sc::SCExtrapData.

SCExtrapData* sc::SymmSCMatrixSCExtrapData::copy | ( |  | ) | `[virtual]`

Return a copy of this.

Implements sc::SCExtrapData.

void sc::SymmSCMatrixSCExtrapData::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::SCExtrapData.

void sc::SymmSCMatrixSCExtrapData::zero | ( |  | ) | `[virtual]`

Set this to zero.

Implements sc::SCExtrapData.

The documentation for this class was generated from the following file:

- scextrapmat.h